> ## Documentation Index
> Fetch the complete documentation index at: https://goldrush.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# getMultipleAccounts on Solana

> Call getMultipleAccounts on Solana via GoldRush JSON-RPC. Returns account information for a list of addresses. Endpoint, parameters, return values, and code examples.

<Card title="0.05 credits per call" icon="coins" />

`getMultipleAccounts` on **Solana**: Returns account information for a list of addresses.

## Endpoint

```
https://rpc.goldrushdata.com/v1/solana-mainnet
```

Authenticate with `Authorization: Bearer <GOLDRUSH_API_KEY>`. See [authentication](/goldrush-json-rpc/authentication).

## Parameters

| Name        | Type            | Required | Description                                              | Example                                                                                          |
| ----------- | --------------- | -------- | -------------------------------------------------------- | ------------------------------------------------------------------------------------------------ |
| `addresses` | `array<string>` | yes      | Array of base-58 encoded account addresses (max 100).    | `["vines1vzrYbzLMRdu58ou5XTby4qAqVRLmqo36NKPTg","9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM"]` |
| `config`    | `object`        | no       | `{commitment?, encoding?, dataSlice?, minContextSlot?}`. | `{"encoding":"jsonParsed"}`                                                                      |

## Returns

`object`: `{context, value: array<accountInfo | null>}`.

```json theme={null}
{"context":{"slot":372877175},"value":[{"lamports":88809,"owner":"11111111111111111111111111111111","data":["","base64"],"executable":false,"rentEpoch":361},null]}
```

## Examples

<CodeGroup>
  ```bash curl theme={null}
  curl https://rpc.goldrushdata.com/v1/solana-mainnet \
    -H "Authorization: Bearer $GOLDRUSH_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "jsonrpc": "2.0",
      "id": 1,
      "method": "getMultipleAccounts",
      "params": [["vines1vzrYbzLMRdu58ou5XTby4qAqVRLmqo36NKPTg","9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM"], {"encoding":"jsonParsed"}]
    }'
  ```

  ```typescript @solana/kit theme={null}
  import {
    createDefaultRpcTransport,
    createSolanaRpcFromTransport,
  } from "@solana/kit";

  const transport = createDefaultRpcTransport({
    url: "https://rpc.goldrushdata.com/v1/solana-mainnet",
    headers: { Authorization: `Bearer ${process.env.GOLDRUSH_API_KEY}` },
  });
  const rpc = createSolanaRpcFromTransport(transport);

  const result = await rpc.getMultipleAccounts(["vines1vzrYbzLMRdu58ou5XTby4qAqVRLmqo36NKPTg","9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM"], {"encoding":"jsonParsed"}).send();
  console.log(result);
  ```

  ```python python theme={null}
  import os
  import requests

  resp = requests.post(
      "https://rpc.goldrushdata.com/v1/solana-mainnet",
      headers={
          "Authorization": f"Bearer {os.environ['GOLDRUSH_API_KEY']}",
          "Content-Type": "application/json",
      },
      json={"jsonrpc": "2.0", "id": 1, "method": "getMultipleAccounts", "params": [["vines1vzrYbzLMRdu58ou5XTby4qAqVRLmqo36NKPTg","9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM"], {"encoding":"jsonParsed"}]},
  )
  print(resp.json()["result"])
  ```
</CodeGroup>

## Errors

Standard JSON-RPC errors: `-32600` invalid request, `-32601` method not found, `-32602` invalid params.

## Related Account info methods on Solana

* [`getAccountInfo` on Solana](/api-reference/json-rpc/solana/getaccountinfo)
* [`getBalance` on Solana](/api-reference/json-rpc/solana/getbalance)
* [`getProgramAccounts` on Solana](/api-reference/json-rpc/solana/getprogramaccounts)
* [`getLargestAccounts` on Solana](/api-reference/json-rpc/solana/getlargestaccounts)
* [`getVoteAccounts` on Solana](/api-reference/json-rpc/solana/getvoteaccounts)
